Skip to main content
GET
/
business-cases
/
{businessCase}
Show business case
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/business-cases/{businessCase} \
  --header 'Authorization: Bearer <token>'
{
  "id": 501,
  "contactType": "client",
  "contactId": 101,
  "client": {
    "id": 101,
    "name": "Acme s.r.o.",
    "type": "company",
    "subjectId": "12345678",
    "taxId": "2020123456",
    "vatId": "SK2020123456",
    "isVatPayer": true,
    "email": "billing@acme.test",
    "street": "Main Street 1",
    "city": "Bratislava",
    "zip": "81101",
    "country": {
      "id": 703,
      "name": "Slovakia",
      "code": "SK",
      "eu": true
    },
    "hasDeliveryAddress": true,
    "deliveryStreet": "Warehouse Street 9",
    "deliveryCity": "Kosice",
    "deliveryZip": "04001",
    "deliveryCountry": {
      "id": 703,
      "name": "Slovakia",
      "code": "SK",
      "eu": true
    },
    "createdAt": "2026-03-03T12:00:00+01:00",
    "updatedAt": "2026-03-03T15:45:00+01:00",
    "preferredDeliveryMethodId": 1,
    "preferredPaymentMethodId": 1,
    "preferredCurrencyId": 1,
    "preferredLanguageId": 1,
    "preferredDueDays": 14,
    "preferredNote": "Due within 14 days.",
    "preferredVariableSymbol": 2026001,
    "preferredConstantSymbol": 308,
    "preferredSpecificSymbol": 55,
    "preferredTextAboveItems": "Thank you for your cooperation."
  },
  "supplier": {
    "id": 151,
    "type": "company",
    "name": "Supplier s.r.o.",
    "subjectId": "12345678",
    "taxId": "2020202020",
    "vatId": "SK2020202020",
    "isVatPayer": true,
    "email": "billing@supplier.test",
    "street": "Supplier Street 1",
    "city": "Bratislava",
    "zip": "81101",
    "country": {
      "id": 703,
      "name": "Slovakia",
      "code": "SK",
      "eu": true
    }
  },
  "name": "Client pipeline",
  "description": "Opportunity description",
  "status": {
    "id": 41,
    "name": "Negotiation",
    "color": "#22aa44"
  },
  "boardPosition": 2,
  "createdAt": "2026-03-10T10:00:00+01:00",
  "updatedAt": "2026-03-10T10:30:00+01:00"
}

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Path Parameters

businessCase
integer
required

Business case ID.

Example:

501

Response

Business-case detail.

Business case, including the nested client or supplier and an optional status.

id
integer

Internal business-case ID in Fintoro.

Example:

501

contactType
enum<string>

Type of linked contact. client means a client, supplier means a supplier.

Available options:
client,
supplier
Example:

"client"

contactId
integer

Internal ID of the linked contact matching contactType.

Example:

101

client
object

Nested client object when the business case is linked to a client.

supplier
object

Nested supplier object when the business case is linked to a supplier.

name
string

Business-case name.

Example:

"Client pipeline"

description
string | null

Optional business-case description.

Example:

"Opportunity description"

status
object

Current business-case status as a nested object. May be null when the case is not assigned to any status.

boardPosition
integer

Internal position of the business case within its current status or in the no-status column.

Example:

2

createdAt
string<date-time> | null

Business-case creation timestamp.

Example:

"2026-03-10T10:00:00+01:00"

updatedAt
string<date-time> | null

Business-case last update timestamp.

Example:

"2026-03-10T10:30:00+01:00"